Lumaktaw sa nilalaman

Video · Erase · Keypoints

I-integrate

ID ng modelo bria/video/erase/keypoints
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/video/erase/keypoints?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "keypoints": [
      "{'\''x'\'': 765, '\''y'\'': 344, '\''type'\'': '\''positive'\''}",
      "{'\''x'\'': 200, '\''y'\'': 200, '\''type'\'': '\''negative'\''}"
    ],
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Mga file na katulad ng halimbawa: $0.70 700 kredito ng API sinusukat ang iyong mga file bago patakbuhin Patakbuhin ito sa page na ito

Kumuha ng API key
Bria AI · video

Dito mapupunta ang iyong unang resulta

Bumuo ng kahilingan sa ibaba at patakbuhin ito gamit ang iyong API key. Kinokopya ang mga output sa aming storage, na pinananatili nang walang hanggan o 7 araw nang libre.

Bumuo ng kahilingan

Ang mga control ay binubuo mula sa schema ng modelo. Nagbabago ang code at presyo habang ina-adjust mo ang mga ito.

•kinakailangan video_url
Mag-drop ng file, o

Video na mas maikli sa 5 segundo na gagamiting source para sa pagbura ng object.

•kinakailangan

Mga puntong nagtatakda kung aalisin o pananatilihin ang video, gamit ang mga coordinate na [x,y] at syntax na ito: {'x':100, 'y':100, 'type':'positive/negative'}.

advanced output_container_and_codec · preserve_audio
default na mp4_h264

Container at codec para sa output, pinipili mula sa: mp4_h265, mp4_h264, webm_vp9, gif, mov_h264, mov_h265, mov_proresks, mkv_h264, mkv_h265, mkv_vp9, mkv_mpeg4.

POST /run/bria/video/erase/keypoints?wait=20 presyo → $0.70
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bria/video/erase/keypoints?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "keypoints": [
      "{'\''x'\'': 765, '\''y'\'': 344, '\''type'\'': '\''positive'\''}",
      "{'\''x'\'': 200, '\''y'\'': 200, '\''type'\'': '\''negative'\''}"
    ],
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Patakbuhin ang kahilingang ito

Nananatili ang iyong key sa browser na ito: ipinapadala lamang ito sa Doitong API at sine-save (localStorage) lamang kung pipiliin mo ang Tandaan. Kumuha ng API key

Tungkol sa Video · Erase · Keypoints

Nagtatanggal ng object sa video, kung saan pinipili ang target gamit ang listahan ng `keypoints` na mga x/y point na may markang positive o negative. Dapat mas maikli sa 5 segundo ang input video, at pinuputol ng `auto_trim` ang mas mahahabang clip sa working length na iyon. Napipili ang output format sa labing-isang container at codec, na default ang mp4_h264, at pinananatili ng `preserve_audio` ang tunog.

Mga parameter

Ipadala ang canonical na pangalan o ang native na pangalan, hindi pareho. Mga canonical na pangalan

PangalanUri defaultPinapayagan Paglalarawan
output_container_and_codecopsyonal
Urienum
defaultmp4_h264
mp4_h265mp4_h264webm_vp9gifmov_h264mov_h265mov_proresksmkv_h264mkv_h265mkv_vp9mkv_mpeg4
Container at codec para sa output, pinipili mula sa: mp4_h265, mp4_h264, webm_vp9, gif, mov_h264, mov_h265, mov_proresks, mkv_h264, mkv_h265, mkv_vp9, mkv_mpeg4.
auto_trimopsyonal
Uriboolean
defaulttrue
Awtomatikong pinuputol ang video sa working length na 5 segundo.
preserve_audioopsyonal
Uriboolean
defaulttrue
Pinagana ang pagpapanatili ng audio sa output na video kapag true.
keypointskinakailangan
Uristring[]
Mga puntong nagtatakda kung aalisin o pananatilihin ang video, gamit ang mga coordinate na [x,y] at syntax na ito: {'x':100, 'y':100, 'type':'positive/negative'}.
video_urlkinakailangan video
Uriurl · video
Video na mas maikli sa 5 segundo na gagamiting source para sa pagbura ng object.
kinakailangan Canonical na pangalan, tinatanggap din

Tumatanggap ang mga parameter ng file ng pampublikong https:// URL, data: URI na hanggang 10 MB, o file_url ng isang upload. Mga file

Output

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bria/video/erase/keypoints",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 700,
    "usd": "0.70",
    "charged": 700,
    "refunded": 0
  },
  "input": {
    "keypoints": [
      "{'x': 765, 'y': 344, 'type': 'positive'}",
      "{'x': 200, 'y': 200, 'type': 'negative'}"
    ],
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Ikaw ang pumipili para sa iyong mga fileAng bawat outputs[].url ay kopya sa aming storage: pinananatili nang walang hanggan (sinisingil bawat GB-month) o 7 araw nang libre, ayon sa setting ng iyong account o ?storage=.
Parehong shape sa bawat modelotype, url, content_type, width, height at duration, para sa mga larawan, video at audio. Ang output ay sariling result object ng modelo.
Mga field ng output
video
object {url, content_type, file_name, file_size}Resultang video.

Higit pang modelo: Video patungong Video

Para sa mga AI agent: nasa Markdown ang pahinang ito sa https://doitong.com/fil/developers/models/bria/video/erase/keypoints.md. Lahat ng modelo at gabay: https://doitong.com/developers/llms.txt